package atc.safefly.communication.common.packet;

import atc.safefly.communication.common.serial.SerialConnector;

public abstract class Connector implements ConnectorInterface {

	
	protected boolean isConnected;

	public Connector() {
		isConnected = false;
	}


	/**
	 * Create local structures/clear existing structures Start maintenance
	 * threads
	 * 
	 * @return true if success, false otherwise
	 */
	protected abstract boolean open();

}
