package atc.safefly.communication.common.packet;

import java.nio.ByteBuffer;

public interface PacketInterface {
	
	public short getApplicationID();
	
	public PacketInterface getInstance();
	
	public byte[] getData();
	
	public byte[] serialize();
	
	public boolean deserialize(ByteBuffer bb, int length);

	public int getSize();
	
	public int getHeaderSize();
	
	@Override
	public int hashCode();
	
	@Override
	public boolean equals(Object obj);
}
