package atc.safefly.communication.utils;

public interface WGConnectionOwner {
	
	/**
	 * Handles newly arrived messages
	 * @param connector - receiving connector
	 */
	public void incommingMessage(Object data);
	
	/**
	 * Process new RSSI info
	 * @param rssi
	 */
	public void receiveDiagnostics(RssiInfo rssi);

}
