package atc.safefly.communication.utils;

/**
 * Class for handling {@link MessageRecord} state changes.
 * 
 * @author Selecky
 *
 */
public interface MessageRecordHandler {

	/**
	 * Handles arrived {@link MessageRecord}
	 * @param mr
	 */
	public abstract void handleMessageRecord(MessageRecord mr, MessageRecord.State state);
	
}
