package atc.safefly.communication.utils;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class StreamPipeThread extends Thread {

	public StreamPipeThread(final InputStream in, final OutputStream out) {
		super(new Runnable() {

			@Override
			public void run() {
				try {
					byte[] buffer = new byte[1024]; // Adjust if you want
					int bytesRead;
					while ((bytesRead = in.read(buffer)) != -1) {
						if (out != null) {
							out.write(buffer, 0, bytesRead);
						}
					}
				} catch (IOException e) {
					e.printStackTrace();
					return;
				}
			}
		},"Stream pipe");
	}
}
